import * as CBOR from 'cbor-x';
import { EthereumProvider } from 'ethereum-provider';
declare type CBOR = {
    bytes: string;
    length: number;
};
declare type DecodedObject = {
    cbor: CBOR;
    ipfs?: string;
    solcVersion?: string;
    [key: string]: string | CBOR | Uint8Array | undefined;
};
/**
 * Decode contract's bytecode
 * @param bytecode - hex of the bytecode
 * @returns Object describing the contract
 */
export declare const decode: (bytecode: string) => DecodedObject;
/**
 * Get contract's bytecode given an address and an rpc
 * @param address - contract's address
 * @param provider - provider used to get the bytecode
 * @returns bytecode
 */
export declare const get: (address: string, provider: EthereumProvider) => Promise<string>;
export {};
